CREATE DATABASE  IF NOT EXISTS `galleriaarte` /*!40100 DEFAULT CHARACTER SET latin1 */;
USE `galleriaarte`;
-- MySQL dump 10.13  Distrib 5.6.21, for osx10.8 (x86_64)
--
-- Host: localhost    Database: galleriaarte
-- ------------------------------------------------------
-- Server version	5.6.21

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `autori`
--

DROP TABLE IF EXISTS `autori`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `autori` (
  `idautore` int(11) NOT NULL,
  `nome` varchar(150) NOT NULL,
  `cognome` varchar(150) DEFAULT NULL,
  `datanascita` int(11) DEFAULT NULL,
  `datamorte` int(11) DEFAULT NULL,
  `nazionalita` varchar(150) DEFAULT NULL,
  PRIMARY KEY (`idautore`),
  UNIQUE KEY `idautore_UNIQUE` (`idautore`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `autori`
--

LOCK TABLES `autori` WRITE;
/*!40000 ALTER TABLE `autori` DISABLE KEYS */;
INSERT INTO `autori` VALUES (2,'Antonio','Pollaiolo',1431,1498,'Italiana'),(6,'Donatello','Donatello',1386,1466,'Italiana'),(8,'Jacopo','Della Quercia',1374,1438,'Italiana'),(10,'Lorenzo','Ghiberti',1378,1455,'Italiana'),(11,'Masaccio','Masaccio',1401,1428,'Italiana'),(12,'Masolino da Panicale','Masolino da Panicale',1383,1440,'Italiana'),(13,'Mino','Da Fiesole',1429,1484,'Italiana'),(14,'Paolo','Uccello',1397,1475,'Italiana'),(15,'Paolo','Veronese',1528,1588,'Italiana'),(16,'Piero','Della Francesca',1412,1492,'Italiana'),(17,'Raffaello','Sanzio',1483,1520,'Italiana'),(18,'Sandro','Botticelli',1445,1510,'Italiana');
/*!40000 ALTER TABLE `autori` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `opere`
--

DROP TABLE IF EXISTS `opere`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `opere` (
  `idopera` varchar(150) NOT NULL,
  `autore` int(11) DEFAULT NULL,
  `annoproduzione` int(11) DEFAULT NULL,
  `titolo` varchar(150) DEFAULT NULL,
  `valore` int(11) DEFAULT NULL,
  `numsala` int(11) DEFAULT NULL,
  PRIMARY KEY (`idopera`),
  UNIQUE KEY `idopera_UNIQUE` (`idopera`),
  KEY `xxx_idx` (`autore`),
  KEY `opsala_idx` (`numsala`),
  CONSTRAINT `opautore` FOREIGN KEY (`autore`) REFERENCES `autori` (`idautore`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `opsala` FOREIGN KEY (`numsala`) REFERENCES `sale` (`numsala`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `opere`
--

LOCK TABLES `opere` WRITE;
/*!40000 ALTER TABLE `opere` DISABLE KEYS */;
INSERT INTO `opere` VALUES ('aa001',14,1447,'Battaglia di San Romano',200,1),('aa002',16,1437,'Battesimo di Cristo',200,1),('aa003',2,1458,'Camera degli sposi',290,3),('aa004',17,1500,'Scuola di Atene',350,4),('aa005',18,1475,'La primavera',400,5),('aa006',11,1412,'Cacciata dal Paradiso',300,6),('aa007',12,1420,'Venere e Adone',390,7),('aa008',18,1483,'Apollo e Dafne',390,8),('aa009',10,1403,'L\'annunciazione',370,9),('aa010',15,1568,'Nozze di Cana',280,10),('aa011',15,1571,'Crocifissione',200,7),('bb001',10,1408,'Il sacrificio d\'Isacco',290,1),('bb002',6,1422,'David',350,2),('bb003',6,1432,'Busto di Bruto',400,3),('bb004',13,1449,'bassorilievo con busto femminile',300,4),('bb005',6,1427,'Annunciazione',390,5),('bb006',8,1411,'Tomba di Ilaria Del Carretto',390,6);
/*!40000 ALTER TABLE `opere` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sale`
--

DROP TABLE IF EXISTS `sale`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sale` (
  `numsala` int(11) NOT NULL,
  `nomesala` varchar(150) DEFAULT NULL,
  PRIMARY KEY (`numsala`),
  UNIQUE KEY `numsala_UNIQUE` (`numsala`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sale`
--

LOCK TABLES `sale` WRITE;
/*!40000 ALTER TABLE `sale` DISABLE KEYS */;
INSERT INTO `sale` VALUES (1,'David'),(2,'La Donna Velata'),(3,'La Gioconda'),(4,'La nascita di Venere'),(5,'L\'Assunta'),(6,'L\'Ultima Cena'),(7,'Madonna del Granduca'),(8,'Piet‡'),(9,'San Giovanni Battista'),(10,'San Giovanni Evangelista');
/*!40000 ALTER TABLE `sale` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `turni`
--

DROP TABLE IF EXISTS `turni`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `turni` (
  `NumSala` int(11) DEFAULT NULL,
  `Turno` varchar(150) DEFAULT NULL,
  `vigilante` varchar(150) DEFAULT NULL,
  KEY `turnovig_idx` (`vigilante`),
  KEY `tursala_idx` (`NumSala`),
  CONSTRAINT `turnovig` FOREIGN KEY (`vigilante`) REFERENCES `vigilanti` (`matricola`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `tursala` FOREIGN KEY (`NumSala`) REFERENCES `sale` (`numsala`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `turni`
--

LOCK TABLES `turni` WRITE;
/*!40000 ALTER TABLE `turni` DISABLE KEYS */;
INSERT INTO `turni` VALUES (1,'sera','111\\555'),(1,'mattina','145\\665'),(1,'pomeriggio','111\\145'),(2,'sera','001\\238'),(2,'pomeriggio','154\\745'),(2,'mattina','348\\934'),(3,'pomeriggio','111\\145'),(3,'mattina','549\\902'),(3,'sera','348\\934'),(4,'mattina','237\\838'),(4,'sera','321\\564'),(4,'pomeriggio','938\\493'),(5,'sera','348\\934'),(5,'pomeriggio','850\\932'),(5,'mattina','938\\493'),(6,'sera','348\\934'),(6,'pomeriggio','777\\454'),(6,'mattina','616\\161'),(7,'mattina','154\\745'),(7,'sera','454\\564'),(7,'pomeriggio','777\\454'),(8,'sera','154\\566'),(8,'mattina','348\\933'),(8,'pomeriggio','546\\987'),(9,'sera','001\\238'),(9,'mattina','182\\788'),(9,'pomeriggio','456\\324'),(10,'pomeriggio','321\\123'),(10,'mattina','734\\873'),(10,'sera','789\\546');
/*!40000 ALTER TABLE `turni` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `vigilanti`
--

DROP TABLE IF EXISTS `vigilanti`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `vigilanti` (
  `matricola` varchar(150) NOT NULL,
  `nomevigilante` varchar(150) DEFAULT NULL,
  `cognomevigilante` varchar(150) DEFAULT NULL,
  `dittavigilante` varchar(150) DEFAULT NULL,
  PRIMARY KEY (`matricola`),
  UNIQUE KEY `matricola_UNIQUE` (`matricola`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `vigilanti`
--

LOCK TABLES `vigilanti` WRITE;
/*!40000 ALTER TABLE `vigilanti` DISABLE KEYS */;
INSERT INTO `vigilanti` VALUES ('001\\238','Tina','Bonomi','La Ronda'),('111\\145','Saul','Gizzi','Security Service'),('111\\555','Mario','Bruni','Security Service'),('145\\665','Valentino','Faggi','Guardian Protection'),('154\\566','Mauro','Salemi','La Ronda'),('154\\745','Giulio','Luce','Guardian Protection'),('182\\788','Marco','Madagli','Security Service'),('237\\838','Francesco','Sapago','Del Giudice Vigilanza'),('321\\123','Fabio','Luciani','Guardian Protection'),('321\\564','Valerio','Verdi','Del Giudice Vigilanza'),('348\\933','Roberto','Angelini','Security Service'),('348\\934','Marco','Ferrara','La Ronda'),('454\\564','Federico','Piccini','Guardian Protection'),('456\\324','Federico','Mauri','La Ronda'),('546\\987','Sandro','Rocchi','Security Service'),('549\\902','Manolo','Simeoni','Guardian Protection'),('616\\161','Simone','Dacagi','Del Giudice Vigilanza'),('734\\873','Franco','Giuliani','Guardian Protection'),('777\\454','Luca','Dedito','La Ronda'),('789\\546','Giuseppe','Manfredi','Guardian Protection'),('850\\932','Giuseppe','Tarsa','La Ronda'),('938\\493','Carlo','Cardella','La Ronda');
/*!40000 ALTER TABLE `vigilanti` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2015-10-20 13:26:37
